[@bigcommerce/checkout-sdk](../README.md) / CouponSelector

# Interface: CouponSelector

## Table of contents

### Methods

- [getApplyError](CouponSelector.md#getapplyerror)
- [getCoupons](CouponSelector.md#getcoupons)
- [getRemoveError](CouponSelector.md#getremoveerror)
- [isApplying](CouponSelector.md#isapplying)
- [isRemoving](CouponSelector.md#isremoving)

## Methods

### getApplyError

▸ **getApplyError**(): `undefined` \| [`RequestError`](../classes/RequestError.md)\<`any`\>

#### Returns

`undefined` \| [`RequestError`](../classes/RequestError.md)\<`any`\>

___

### getCoupons

▸ **getCoupons**(): `undefined` \| [`Coupon`](Coupon.md)[]

#### Returns

`undefined` \| [`Coupon`](Coupon.md)[]

___

### getRemoveError

▸ **getRemoveError**(): `undefined` \| [`RequestError`](../classes/RequestError.md)\<`any`\>

#### Returns

`undefined` \| [`RequestError`](../classes/RequestError.md)\<`any`\>

___

### isApplying

▸ **isApplying**(): `boolean`

#### Returns

`boolean`

___

### isRemoving

▸ **isRemoving**(): `boolean`

#### Returns

`boolean`
